coupang
PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/resume2609170000

Resume sales of each item of a product

# 01

Summary

Resume sales of each item of a product

# 02

Details

Available buyer market: Korea, Taiwan

Change the sale status of each item of a product to 'up for sale'. This feature can be used when optionID(vendorItemId) is issue after sale request is approved.

Path

PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/resume

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/resume

URL API Name

RESUME_PRODUCT_SALES_BY_ITEM
# 03

Path parameters

NameTypeDescription
vendorItemId*number
OptionID
It is a unique number given to a vendor item.
# 04

Response body

Response message

NameTypeDescription
codestring
SUCCESS/ERROR
messagestring
Result message

Response Example

{
  "code": "SUCCESS",
  "message": "Sales resumed."
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check request parameter)

Failed to resume sales. [OptionID[70227***178] : You cannot change the status of deleted product.]

Check if optionID(vendorItemId)is deleted.

400400 (Check request parameter)

Failed to resume sales. [Coupang monitored the product and the sale of OptionID(55895***47)is suspended.

The sale of the product has been suspended via monitoring. Please contact Coupang Seller Call Center or use online inquiry.

400400 (Check request parameter)

Failed to resume sales. [vendoritemid *** not found]

Check if correct optionID(vendorItemId) is entered.